aboutsummaryrefslogtreecommitdiff
path: root/scripts/assert-shellcheck.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/assert-shellcheck.sh')
-rwxr-xr-xscripts/assert-shellcheck.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/scripts/assert-shellcheck.sh b/scripts/assert-shellcheck.sh
new file mode 100755
index 0000000..e24c29c
--- /dev/null
+++ b/scripts/assert-shellcheck.sh
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -Eeuo pipefail
+cd "$(dirname "${BASH_SOURCE[0]}")"
+cd ../
+
+git ls-files | grep '\.sh$' | xargs shellcheck